Bug 1686351 - [RFE] Make podman available in RHEL 7 Workstation repositories
Summary: [RFE] Make podman available in RHEL 7 Workstation repositories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: podman
Version: 7.6
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Bohdan Khomutskyi
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 1718378
Blocks: 1186913 1688348 1667086
TreeView+ depends on / blocked
 
Reported: 2019-03-07 10:10 UTC by Stefan Meyer
Modified: 2019-08-14 21:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:10:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stefan Meyer 2019-03-07 10:10:43 UTC
Description of problem:
podman is not available in RHEL 7 Workstation repositories


Version-Release number of selected component (if applicable):
RHEL 7.6


How reproducible:
podman is not installable on RHEL 7 Workstation



Actual results:
The packages cannot be installed



Expected results:
podman should be available on RHEL 7 Workstation


Additional info:
The customer likes to "pre-package" desktop applications for execution on local desktops.

Comment 4 Daniel Walsh 2019-03-07 14:58:13 UTC
I am not sure how we go about doing this.

Comment 15 Scott McCarty 2019-05-21 17:36:12 UTC
Only UBI content will be supported with Podman on RHEL 7.7 Workstation. We will not support building or running RHEL Server based containers.

Comment 16 Bohdan Khomutskyi 2019-05-27 14:28:26 UTC
From Atomic Host meeting last time: there were missing packages in Workstation. Specifically -- libvirt-dbus and slirp4netns. I added these packages into a Beta-1.1 compose, http://download.eng.bos.redhat.com/rel-eng/rhel-7/EXTRAS-7/EXTRAS-7.7-RHEL-7-Beta-1.1/.

Comment 19 Derrick Ornelas 2019-08-06 19:10:59 UTC
Podman is now shipped as part of RHEL 7.7 Workstation Extras - https://access.redhat.com/errata/RHBA-2019:2389

Comment 20 Dan 2019-08-14 17:46:09 UTC
Podman is still not available from RHEL 7.7 Workstation Extras as it is missing a dependancy of a dependancy (python-pytoml for atomic-registries)-

# yum install podman
Loaded plugins: langpacks, nvidia, product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package podman.x86_64 0:1.4.4-3.el7 will be installed
--> Processing Dependency: atomic-registries >= 1.22.1-3 for package: podman-1.4.4-3.el7.x86_64
--> Processing Dependency: containernetworking-plugins >= 0.8.1-1 for package: podman-1.4.4-3.el7.x86_64
--> Processing Dependency: skopeo-containers >= 0.1.29-3 for package: podman-1.4.4-3.el7.x86_64
--> Processing Dependency: container-selinux for package: podman-1.4.4-3.el7.x86_64
--> Processing Dependency: runc for package: podman-1.4.4-3.el7.x86_64
--> Running transaction check
---> Package atomic-registries.x86_64 1:1.22.1-28.gitb507039.el7 will be installed
--> Processing Dependency: python-pytoml for package: 1:atomic-registries-1.22.1-28.gitb507039.el7.x86_64
---> Package container-selinux.noarch 2:2.107-3.el7 will be installed
---> Package containernetworking-plugins.x86_64 0:0.8.1-2.el7 will be installed
---> Package containers-common.x86_64 1:0.1.37-3.el7 will be installed
---> Package runc.x86_64 0:1.0.0-65.rc8.el7 will be installed
--> Processing Dependency: criu for package: runc-1.0.0-65.rc8.el7.x86_64
--> Running transaction check
---> Package atomic-registries.x86_64 1:1.22.1-28.gitb507039.el7 will be installed
--> Processing Dependency: python-pytoml for package: 1:atomic-registries-1.22.1-28.gitb507039.el7.x86_64
---> Package criu.x86_64 0:3.12-2.el7 will be installed
--> Processing Dependency: libprotobuf-c.so.1(LIBPROTOBUF_C_1.0.0)(64bit) for package: criu-3.12-2.el7.x86_64
--> Processing Dependency: libnet.so.1()(64bit) for package: criu-3.12-2.el7.x86_64
--> Processing Dependency: libprotobuf-c.so.1()(64bit) for package: criu-3.12-2.el7.x86_64
--> Running transaction check
---> Package atomic-registries.x86_64 1:1.22.1-28.gitb507039.el7 will be installed
--> Processing Dependency: python-pytoml for package: 1:atomic-registries-1.22.1-28.gitb507039.el7.x86_64
---> Package libnet.x86_64 0:1.1.6-7.el7 will be installed
---> Package protobuf-c.x86_64 0:1.0.2-3.el7 will be installed
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies
Error: Package: 1:atomic-registries-1.22.1-28.gitb507039.el7.x86_64 (rhel-7-workstation-extras-rpms)
           Requires: python-pytoml
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: 1:atomic-registries-1.22.1-28.gitb507039.el7.x86_64 (rhel-7-workstation-extras-rpms)
           Requires: python-pytoml
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 21 Derrick Ornelas 2019-08-14 21:37:40 UTC
(In reply to Dan from comment #20)
> Podman is still not available from RHEL 7.7 Workstation Extras as it is
> missing a dependancy of a dependancy (python-pytoml for atomic-registries)-
> 

Hi Dan,

We're tracking this issue in Bug 1740999.


Note You need to log in before you can comment on or make changes to this bug.